#
# spec file for package python3-d2to1
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-d2to1
Version:        0.2.12
Release:        6.2
Url:            http://pypi.python.org/pypi/d2to1
Summary:        Allows using distutils2-like setup.cfg with a distribute/setuptools
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/d/d2to1/d2to1-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python3
BuildRequires:  python3-2to3
BuildRequires:  python3-base
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
BuildArch:      noarch

%description
d2to1 (the 'd' is for 'distutils') allows using distutils2-like setup.cfg files for a package's metadata with a distribute/setuptools setup.py script.  It works by providing a distutils2-formatted setup.cfg file containing all of a package's metadata, and a very minimal setup.py which will slurp its arguments from the setup.cfg.

%prep
%setup -q -n d2to1-%{version}

%build
export CFLAGS="%{optflags}"
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes $RPM_BUILD_ROOT%{py_sitedir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES.rst LICENSE README.rst
%{python3_sitelib}/d2to1/
%{python3_sitelib}/d2to1-%{version}-py%{py3_ver}.egg-info
%if 0%{?suse_version} <= 1140
%dir %{_prefix}/lib/python%{py3_ver}
%dir %{python3_sitelib}
%endif

%changelog
* Sun Jul 19 2015 arun@gmx.de
- update to version 0.2.12:
  * Fixed a corner case where depending on the order of events when
    installing multiple packages (i.e. when installing packages with
    dependencies, some of which might also use d2to1) we would end up
    calling the incorrect Distribution class (the patched version from
    setuptools, where d2to1 needs to get to the unpatched version from
    distutils for some cases).
  * Upgraded bundled copy of the "six" module to the current version
    (1.9.0).  This fixes incompatibility between d2to1 and other
    packages that import different versions of "six" during their
    setup (the older version of "six" had a habit of fighting with
    other "six" instances over "sys.modules", which is fixed in
    newer versions).
  * Upgraded to latest "ez_setup.py" so that the most up to date
    version of setuptools will be correctly bootstrapped in the rare
    cases that it is needed.
  * Included some miscellaneous hacks to keep d2to1 working,
    nominally, with Python 2.5 despite the broad move away from Python
    2.5 support in the Python community.  The d2to1 v0.2.x releases
    will be the last to continue Python 2.5 support, given that
    testing it has become more difficult (and the overhead is probably
    no longer worth it).
* Fri Jan 16 2015 arun@gmx.de
- specfile:
  * remove modname variable
  * update source url to pypi
  * removed ifdefs for outdated opensuse versions
- update to version 0.2.11:
  * Replaced distribute_setup.py with ez_setup.py in order to
    bootstrap with modern setuptools when necessary.
  * Fixed a couple minor Python 3-specific issues. In particular the
    data_files option could be passed to setup() as a dict_items
    object instead of a list which is what would normally be expected.
  * Added a tox.ini (frankly I thought there already was one).
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * remove python(abi) requirement
* Thu May  9 2013 matwey.kornilov@gmail.com
- update to 0.2.10
* Thu Sep  6 2012 toddrme2178@gmail.com
- Restore BuildRequires: python3  This package depends on hash
  algorithms that are only available if python3 is installed,
  python3-devel will not pull them in.  Building will fail if
  BuildRequires: python3 is removed.
* Tue Aug 21 2012 highwaystar.ru@gmail.com
- python3 package added
